import request from '@/utils/request'
import Qs from 'qs'

export function listOrder(query) {
    return request({
        url: '/order/list',
        method: 'get',
        params: query,
        paramsSerializer: function(params) {
            return Qs.stringify(params, { arrayFormat: 'repeat' })
        }
    })
}

export function detailOrder(id) {
    return request({
        url: '/order/detail',
        method: 'get',
        params: { id }
    })
}

export function shipOrder(data) {
    return request({
        url: '/order/ship',
        method: 'post',
        data
    })
}

export function refundOrder(data) {
    return request({
        url: '/order/refund',
        method: 'post',
        data
    })
}

export function deleteOrder(data) {
    return request({
        url: '/order/delete',
        method: 'post',
        data
    })
}

export function editOrder(data) {
    return request({
        url: '/order/edit',
        method: 'post',
        data
    })
}

export function replyComment(data) {
    return request({
        url: '/order/reply',
        method: 'post',
        data
    })
}

export function listChannel(id) {
    return request({
        url: '/order/channel',
        method: 'get'
    })
}

export function importOrder(data, config) {
    return request({
        url: '/order/import',
        method: 'post',
        config: config,
        data
    })
}
export function orderBookList(query) {
    return request({
        url: '/orderbook/list',
        method: 'get',
        params: query,
        paramsSerializer: function(params) {
            return Qs.stringify(params, { arrayFormat: 'repeat' })
        }
    })
}



export function orderBookDetail(orderId) {
    return request({
        url: '/orderbook/detail',
        method: 'get',
        params: { orderId }
    })
}
export function cancelBook(detailId) {
    return request({
        url: '/orderbook/cancelBook',
        method: 'get',
        params: { detailId }
    })
}

export function getAssignmentPerson(detailId) {
    return request({
        url: '/orderbook/getAssignmentPerson',
        method: 'get',
        params: { detailId }
    })
}
export function orderBookReassign(data, config) {
    return request({
        url: '/orderbook/reassign',
        method: 'post',
        config: config,
        data
    })
}